ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadrian Zbarcea (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (ODE-984) Upgrade ODE OSGi headers to be compliant with modern Apache Smx/Fuse ESB
Date Mon, 21 Jan 2013 01:50:16 GMT

     [ https://issues.apache.org/jira/browse/ODE-984?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Hadrian Zbarcea resolved ODE-984.
---------------------------------

    Resolution: Fixed

Patch applied. Thanks Mateusz for the contribution. Your patch is not much different than
the fixes applied by Jeff Yu to trunk some half a year go.
                
> Upgrade ODE OSGi headers to be compliant with modern Apache Smx/Fuse ESB
> ------------------------------------------------------------------------
>
>                 Key: ODE-984
>                 URL: https://issues.apache.org/jira/browse/ODE-984
>             Project: ODE
>          Issue Type: Improvement
>          Components: Deployment
>    Affects Versions: 1.3.5
>            Reporter: Mateusz Nowakowski
>            Assignee: Hadrian Zbarcea
>              Labels: osgi, patch
>             Fix For: 1.3.6, 1.4
>
>         Attachments: ode-136-patch.patch
>
>
> ODE jbi-bundle OSGi headers are incompatible with Apache ServiceMix Fuse ESB 4.4 and
later (Fuse ESB Enterprise 7.x)
> ODE-917 address some of the issue.
> However the current jbi-bundle has plenty of optional dependencies, dynamic import section
and most of required packages have missing version range.
> The attached patch for 1.3.6 branch addresses these aspects - and it is working under
latest Fuse ESB Enterprise 7.1.0 as well.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message